Bug 1420401 - Cold merge: update job message to show host name
Summary: Cold merge: update job message to show host name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.1.2
: 4.1.2
Assignee: Ala Hino
QA Contact: Carlos Mestre González
URL:
Whiteboard: Improvement
Depends On:
Blocks: 1425219
TreeView+ depends on / blocked
 
Reported: 2017-02-08 14:59 UTC by Ala Hino
Modified: 2017-05-23 08:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-23 08:21:37 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+
rule-engine: exception+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 72921 0 master MERGED cold-merge: Update step message to include the host name 2020-08-19 13:50:03 UTC
oVirt gerrit 75505 0 ovirt-engine-4.1 MERGED cold-merge: Update step message to include the host name 2020-08-19 13:50:04 UTC

Description Ala Hino 2017-02-08 14:59:51 UTC
Description of problem:

As HSM jobs can be executed by any host, we have to show the host name running the job in the audit log message

Steps to Reproduce:
1. Run HSM jobs (copy volume or cold merge)

Actual results:
Audit message doesn't show the host running the HSM job

Expected results:
Audit message to show the host name running the HSM job

Comment 4 Ala Hino 2017-04-12 13:43:58 UTC
Updating this BZ to indicate that the merged patch fixes only cold merge.

Comment 5 Carlos Mestre González 2017-04-28 17:11:30 UTC
Command, return: org.ovirt.engine.core.common.businessentities.storage.DiskImage@74d93a4d, log id: 60643341
2017-04-28 20:06:31,650+03 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ColdMergeVDSCommand] (DefaultQuartzScheduler7) [33f81a71-237d-4d5b-9455-da18b7b99c1f] START, ColdMergeVDSCommand(HostName = host_mixed_3, ColdMergeVDSCommandParameters:{runAsync='true', hostId='967a1548-b3bc-454c-8f95-286e62eb1809', storageDomainId='null', jobId='a9ba0762-df91-40b3-838e-c78059f660ed'}), log id: 1f0b85a4


is this the type of message expected?

tested on rhevm-4.1.2-0.1.el7.noarch

Comment 6 Ala Hino 2017-04-28 17:30:40 UTC
This BZ is about presenting the host name in the job message in the UI.
After running cold merge, please watch the tasks panel and in the merge step, you should see "Merging snapshot ... on <hostname>"

Comment 7 Carlos Mestre González 2017-04-28 18:36:08 UTC
rhevm: 4.1.2-0.1.el7

Merging snapshots (3 into 2) of disk golden_mixed_virtio_template on host host_mixed_2


Note You need to log in before you can comment on or make changes to this bug.